Subject: Re: printk problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 04 Nov 2004 09:56:21 +1100

On Wed, 2004-11-03 at 12:13 -0800, Arrigo Benedetti wrote:
> For some reason I can't get printk() to work on a YDL 4.0 system. I have 
> followed all the instructions, like
> setting the correct log level in /proc/sys/kernel/printk, killing klogd 
> and then
> 
> cat /proc/kmsg
> 
> but I do not see any message from printk. The printk is in a new kernel 
> system call that I wrote.
> Any ideas?

Are you sure you are reaching your syscall at all ? Besides, why are you
adding a syscall in the first place ? (just curious ... it's usually the
wrong solution :)

Ben.